@keyframes rotateLogo {
  from {
    transform: rotate(0deg); /* Начальный поворот */
  }
  to {
    transform: rotate(360deg); /* Конечный поворот */
  }
}

@keyframes upDown {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(20px);
  }
}

@keyframes upDown-2 {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(40px);
  }
}

@keyframes upDown-3 {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(5px);
  }
}

.rotate-logo .tn-atom{
    animation: spin 2s linear infinite;
}


.up-down .tn-atom {
  animation: upDown 5s infinite ease-in-out;
}

.up-down-1 .tn-atom {
  animation: upDown 6s infinite ease-in-out;
}

.up-down-2 .tn-atom {
  animation: upDown-2 8s infinite ease-in-out;
}

/*Настройка слайдеров*/

  [class*="services_"] .tn-atom,
  [class*="services_"] .tn-atom * {
    height: inherit;
  }
  .slider-container {
    position: relative;
    width: inherit;
    height: inherit;
    overflow: hidden;
    border-radius:5px;
  }
  .before-image,
  .after-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }
  .before-image img,
  .after-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
  }
  .after-image {
    clip: rect(0, 50%, inherit, 0);
  }
  .slider-handle {
    position: absolute;
    width: 4px;
    height: 100%;
    background-color: #ffffff;
    left: 50%;
    cursor: col-resize;
    z-index: 10;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
  }
  .slider-handle::after {
    content: "";
    position: absolute;
    width: 10px;
    height: 50px;
    background-color: #ffffff;
    border-radius: 10%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
  }
  
 /*Анимация линий*/
 
.anim-link__header .tn-atom:after, .t966__menu-item-title:after, .anim-link__footer .tn-atom:after{
    content:'';
    display:block;
    width:0px;
    height: 1px;
    background-color: #ECE4D9;
    transition: all .4s ease-in-out;
    position: absolute;
    bottom: -3px;
    
}


.anima-vect-serv{
    width: 100% !important;
    left: 0 !important;
    top: 50% !important;
}


.t966__menu-item-title{
    position:relative;
}


.anim-link__header .tn-atom:hover:after, .t966__menu-item-title:hover:after, .anim-link__footer .tn-atom:hover:after{
    width:40px;
}


/*Кнопка показать больше услуг*/
.uc-more-button .t-submit{
    width: 100%;
    max-width: 1160px;
}


.uc-review .t-col{
    display:flex;
        justify-content: center;
} 

/*Услуги*/
    .t-catalog__card__price-currency{
        display: none;
    }
    .js-product-price:after{
        content:"₽";
        display: inline-block;
        margin-left: 5px;
        font-family: var(--t-text-font, Arial);
    }
    .js-product .t-catalog__card__btn{
        width:100%;
        margin:0;
        margin-bottom: 8px;
    }
    
    
    .t-catalog__card__wrap_txt-and-opts,
    .t-catalog__card__wrap_txt-and-opts>a,
    .t-catalog__card__textwrapper
    {
        height: 100%;
    }
    .t-catalog__card__wrap_txt-and-opts>a {
        display: inline-block;
    }
    .t-catalog__card__textwrapper {
        box-sizing: border-box;
    }
    
    .js-catalog-price-wrapper.t-catalog__card__price-wrapper {
        margin-top: auto;
        padding-top: 12px;
    }
    
    .t-catalog__card__textwrapper {
        display: flex;
        flex-direction: column;
    }
    
    .t-checkbox__control.t-checkbox__control_flex{
        justify-content: center;
    }
    .t-checkbox__indicator{
        border-radius:3px;
    }
    
    
    /*Доработка корзины*/
    
    .t706__cartwin-prodamount-wrap, .t706__product-amount, .t706__cartwin-totalamount-wrap{
        display:none;
    }
    
    #allrecords .t-input{
        font-family: var(--t-text-font, Arial);
    }